--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: H.41
--  \   \         Application: netgen
--  /   /         Filename: dffd_timesim.vhd
-- /___/   /\     Timestamp: Sat Oct 22 20:13:45 2005
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -s 5 -pcf dffd.pcf -rpw 100 -tpw 0 -ar Structure -xon true -w -ofmt vhdl -sim dffd.ncd dffd_timesim.vhd 
-- Device	: 3s200ft256-5 (PRODUCTION 1.37 2005-05-25)
-- Input file	: dffd.ncd
-- Output file	: dffd_timesim.vhd
-- # of Entities	: 1
-- Design Name	: dffd
-- Xilinx	: F:/Mikrocontroller/Xilinx
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Verification Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity dffd is
  port (
    ISPRX : inout STD_LOGIC; 
    ISPTX : inout STD_LOGIC; 
    UARTRX : inout STD_LOGIC; 
    UARTTX : inout STD_LOGIC; 
    USELECT : in STD_LOGIC := 'X'; 
    AVRRST : in STD_LOGIC := 'X'; 
    AVRTXD0 : inout STD_LOGIC; 
    AVRTXD1 : inout STD_LOGIC; 
    M32RXD : inout STD_LOGIC; 
    M32TXD : inout STD_LOGIC; 
    AVRRXD0 : inout STD_LOGIC; 
    AVRRXD1 : inout STD_LOGIC 
  );
end dffd;

architecture Structure of dffd is
  signal USELECT_IBUF : STD_LOGIC; 
  signal AVRRST_BUFGP : STD_LOGIC; 
  signal UARTRX_IBUF : STD_LOGIC; 
  signal UARTTX_IBUF : STD_LOGIC; 
  signal AVRRST_BUFGP_IBUFG : STD_LOGIC; 
  signal M32TXD_OBUF : STD_LOGIC; 
  signal ISPRX_IBUF : STD_LOGIC; 
  signal ISPTX_IBUF : STD_LOGIC; 
  signal GLOBAL_LOGIC1 : STD_LOGIC; 
  signal GSR : STD_LOGIC; 
  signal GTS : STD_LOGIC; 
  signal USELECT_INBUF : STD_LOGIC; 
  signal AVRRXD0_ENABLE : STD_LOGIC; 
  signal AVRRXD0_O : STD_LOGIC; 
  signal AVRRXD1_ENABLE : STD_LOGIC; 
  signal AVRRXD1_GTS_OR_T : STD_LOGIC; 
  signal AVRRXD1_O : STD_LOGIC; 
  signal AVRRXD1_T : STD_LOGIC; 
  signal M32RXD_ENABLE : STD_LOGIC; 
  signal M32RXD_O : STD_LOGIC; 
  signal AVRTXD0_ENABLE : STD_LOGIC; 
  signal AVRTXD0_O : STD_LOGIC; 
  signal AVRTXD1_ENABLE : STD_LOGIC; 
  signal AVRTXD1_GTS_OR_T : STD_LOGIC; 
  signal AVRTXD1_O : STD_LOGIC; 
  signal AVRTXD1_T : STD_LOGIC; 
  signal AVRTXD1_OUTPUT_OTCLK1INVNOT : STD_LOGIC; 
  signal AVRRST_INBUF : STD_LOGIC; 
  signal UARTRX_INBUF : STD_LOGIC; 
  signal UARTTX_INBUF : STD_LOGIC; 
  signal UARTTX_IFF_ICLK1INVNOT : STD_LOGIC; 
  signal UARTTX_IFF_ICEINV : STD_LOGIC; 
  signal UARTTX_IFF_IFFDMUX : STD_LOGIC; 
  signal UARTTX_IFF_IFF1_RST : STD_LOGIC; 
  signal M32TXD_ENABLE : STD_LOGIC; 
  signal M32TXD_O : STD_LOGIC; 
  signal ISPRX_INBUF : STD_LOGIC; 
  signal ISPTX_INBUF : STD_LOGIC; 
  signal AVRRST_BUFGP_BUFG_S_INVNOT : STD_LOGIC; 
  signal AVRRXD0_OBUF : STD_LOGIC; 
  signal AVRTXD0_OBUF : STD_LOGIC; 
  signal AVRRXD1_OUTPUT_OTCLK1INVNOT : STD_LOGIC; 
  signal M32RXD_OUTPUT_OFF_O1INV : STD_LOGIC; 
  signal M32RXD_OUTPUT_OFF_OCEINV : STD_LOGIC; 
  signal M32RXD_1 : STD_LOGIC; 
  signal M32RXD_OUTPUT_OTCLK1INVNOT : STD_LOGIC; 
  signal M32RXD_OUTPUT_OFF_OFF1_RST : STD_LOGIC; 
  signal M32RXD_OBUF : STD_LOGIC; 
  signal AVRRXD1_OUTPUT_OFF_OCEINV : STD_LOGIC; 
  signal AVRRXD1_OUTPUT_OFF_O1INV : STD_LOGIC; 
  signal AVRRXD1_OUTPUT_OFF_OFF1_RST : STD_LOGIC; 
  signal M32TXD_1 : STD_LOGIC; 
  signal AVRTXD1_OUTPUT_OFF_OCEINV : STD_LOGIC; 
  signal AVRTXD1_OUTPUT_OFF_O1INV : STD_LOGIC; 
  signal AVRTXD1_OUTPUT_OFF_OFF1_RST : STD_LOGIC; 
  signal NlwInverterSignal_M32TXD_CLK : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal NlwInverterSignal_M32RXD_1_CLK : STD_LOGIC; 
  signal NlwInverterSignal_M32RXD_CLK : STD_LOGIC; 
  signal NlwInverterSignal_M32TXD_1_CLK : STD_LOGIC; 
begin
  USELECT_IBUF_0 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => USELECT,
      O => USELECT_INBUF
    );
  USELECT_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => USELECT_INBUF,
      O => USELECT_IBUF
    );
  AVRRXD0_OBUF_1 : X_TRI_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRXD0_O,
      CTL => AVRRXD0_ENABLE,
      O => AVRRXD0
    );
  AVRRXD0_ENABLEINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GTS,
      O => AVRRXD0_ENABLE
    );
  AVRRXD1_OBUFT : X_TRI_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRXD1_O,
      CTL => AVRRXD1_ENABLE,
      O => AVRRXD1
    );
  AVRRXD1_ENABLEINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRXD1_GTS_OR_T,
      O => AVRRXD1_ENABLE
    );
  AVRRXD1_GTS_OR_T_2 : X_OR2
    port map (
      I0 => GTS,
      I1 => AVRRXD1_T,
      O => AVRRXD1_GTS_OR_T
    );
  M32RXD_OBUF_3 : X_TRI_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => M32RXD_O,
      CTL => M32RXD_ENABLE,
      O => M32RXD
    );
  M32RXD_ENABLEINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GTS,
      O => M32RXD_ENABLE
    );
  AVRTXD0_OBUF_4 : X_TRI_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRTXD0_O,
      CTL => AVRTXD0_ENABLE,
      O => AVRTXD0
    );
  AVRTXD0_ENABLEINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GTS,
      O => AVRTXD0_ENABLE
    );
  AVRTXD1_OBUFT : X_TRI_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRTXD1_O,
      CTL => AVRTXD1_ENABLE,
      O => AVRTXD1
    );
  AVRTXD1_ENABLEINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRTXD1_GTS_OR_T,
      O => AVRTXD1_ENABLE
    );
  AVRTXD1_GTS_OR_T_5 : X_OR2
    port map (
      I0 => GTS,
      I1 => AVRTXD1_T,
      O => AVRTXD1_GTS_OR_T
    );
  AVRTXD1_OUTPUT_OTCLK1INV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_BUFGP,
      O => AVRTXD1_OUTPUT_OTCLK1INVNOT
    );
  AVRRST_BUFGP_IBUFG_6 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST,
      O => AVRRST_INBUF
    );
  AVRRST_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_INBUF,
      O => AVRRST_BUFGP_IBUFG
    );
  UARTRX_IBUF_7 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTRX,
      O => UARTRX_INBUF
    );
  UARTRX_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTRX_INBUF,
      O => UARTRX_IBUF
    );
  UARTTX_IBUF_8 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTTX,
      O => UARTTX_INBUF
    );
  UARTTX_IFF_IFFDMUX_9 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTTX_INBUF,
      O => UARTTX_IFF_IFFDMUX
    );
  UARTTX_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTTX_INBUF,
      O => UARTTX_IBUF
    );
  UARTTX_IFF_ICLK1INV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_BUFGP,
      O => UARTTX_IFF_ICLK1INVNOT
    );
  UARTTX_IFF_ICEINV_10 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => USELECT_IBUF,
      O => UARTTX_IFF_ICEINV
    );
  M32TXD_11 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => UARTTX_IFF_IFFDMUX,
      GE => UARTTX_IFF_ICEINV,
      CLK => NlwInverterSignal_M32TXD_CLK,
      SET => GND,
      RST => UARTTX_IFF_IFF1_RST,
      O => M32TXD_OBUF
    );
  UARTTX_IFF_IFF1_RSTOR : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GSR,
      O => UARTTX_IFF_IFF1_RST
    );
  M32TXD_OBUF_12 : X_TRI_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => M32TXD_O,
      CTL => M32TXD_ENABLE,
      O => M32TXD
    );
  M32TXD_ENABLEINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GTS,
      O => M32TXD_ENABLE
    );
  ISPRX_IBUF_13 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => ISPRX,
      O => ISPRX_INBUF
    );
  ISPRX_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => ISPRX_INBUF,
      O => ISPRX_IBUF
    );
  ISPTX_IBUF_14 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => ISPTX,
      O => ISPTX_INBUF
    );
  ISPTX_IFF_IMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => ISPTX_INBUF,
      O => ISPTX_IBUF
    );
  AVRRST_BUFGP_BUFG : X_BUFGMUX
    port map (
      I0 => AVRRST_BUFGP_IBUFG,
      I1 => GND,
      S => AVRRST_BUFGP_BUFG_S_INVNOT,
      O => AVRRST_BUFGP,
      GSR => GSR
    );
  AVRRST_BUFGP_BUFG_SINV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GLOBAL_LOGIC1,
      O => AVRRST_BUFGP_BUFG_S_INVNOT
    );
  AVRTXD01 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => AVRRST_BUFGP,
      ADR2 => UARTTX_IBUF,
      ADR3 => ISPTX_IBUF,
      O => AVRTXD0_OBUF
    );
  AVRRXD1_OUTPUT_OTCLK1INV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_BUFGP,
      O => AVRRXD1_OUTPUT_OTCLK1INVNOT
    );
  M32RXD_OUTPUT_OFF_O1INV_15 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTRX_IBUF,
      O => M32RXD_OUTPUT_OFF_O1INV
    );
  M32RXD_OUTPUT_OFF_OCEINV_16 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => USELECT_IBUF,
      O => M32RXD_OUTPUT_OFF_OCEINV
    );
  M32RXD_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => M32RXD_1,
      O => M32RXD_O
    );
  M32RXD_OUTPUT_OTCLK1INV : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_BUFGP,
      O => M32RXD_OUTPUT_OTCLK1INVNOT
    );
  M32RXD_1_17 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => M32RXD_OUTPUT_OFF_O1INV,
      GE => M32RXD_OUTPUT_OFF_OCEINV,
      CLK => NlwInverterSignal_M32RXD_1_CLK,
      SET => GND,
      RST => M32RXD_OUTPUT_OFF_OFF1_RST,
      O => M32RXD_1
    );
  M32RXD_OUTPUT_OFF_OFF1_RSTOR : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GSR,
      O => M32RXD_OUTPUT_OFF_OFF1_RST
    );
  AVRRXD1_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => M32RXD_OBUF,
      O => AVRRXD1_O
    );
  AVRRXD1_OUTPUT_OFF_OCEINV_18 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => USELECT_IBUF,
      O => AVRRXD1_OUTPUT_OFF_OCEINV
    );
  AVRRXD1_OUTPUT_OFF_O1INV_19 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTRX_IBUF,
      O => AVRRXD1_OUTPUT_OFF_O1INV
    );
  M32RXD_20 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => AVRRXD1_OUTPUT_OFF_O1INV,
      GE => AVRRXD1_OUTPUT_OFF_OCEINV,
      CLK => NlwInverterSignal_M32RXD_CLK,
      SET => GND,
      RST => AVRRXD1_OUTPUT_OFF_OFF1_RST,
      O => M32RXD_OBUF
    );
  AVRRXD1_OUTPUT_OFF_OFF1_RSTOR : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GSR,
      O => AVRRXD1_OUTPUT_OFF_OFF1_RST
    );
  AVRTXD1_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => M32TXD_1,
      O => AVRTXD1_O
    );
  AVRTXD1_OUTPUT_OFF_OCEINV_21 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => USELECT_IBUF,
      O => AVRTXD1_OUTPUT_OFF_OCEINV
    );
  AVRTXD1_OUTPUT_OFF_O1INV_22 : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => UARTTX_IBUF,
      O => AVRTXD1_OUTPUT_OFF_O1INV
    );
  M32TXD_1_23 : X_LATCHE
    generic map(
      INIT => '0'
    )
    port map (
      I => AVRTXD1_OUTPUT_OFF_O1INV,
      GE => AVRTXD1_OUTPUT_OFF_OCEINV,
      CLK => NlwInverterSignal_M32TXD_1_CLK,
      SET => GND,
      RST => AVRTXD1_OUTPUT_OFF_OFF1_RST,
      O => M32TXD_1
    );
  AVRTXD1_OUTPUT_OFF_OFF1_RSTOR : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => GSR,
      O => AVRTXD1_OUTPUT_OFF_OFF1_RST
    );
  AVRRXD01 : X_LUT4
    generic map(
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => AVRRST_BUFGP,
      ADR2 => UARTRX_IBUF,
      ADR3 => ISPRX_IBUF,
      O => AVRRXD0_OBUF
    );
  GLOBAL_LOGIC1_VCC : X_ONE
    port map (
      O => GLOBAL_LOGIC1
    );
  AVRRXD0_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRXD0_OBUF,
      O => AVRRXD0_O
    );
  AVRTXD0_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRTXD0_OBUF,
      O => AVRTXD0_O
    );
  AVRTXD1_OUTPUT_TFF_TMUX : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_BUFGP,
      O => AVRTXD1_T
    );
  M32TXD_OUTPUT_OFF_OMUX : X_BUF_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => M32TXD_OBUF,
      O => M32TXD_O
    );
  AVRRXD1_OUTPUT_TFF_TMUX : X_INV_PP
    generic map(
      PATHPULSE => 658 ps
    )
    port map (
      I => AVRRST_BUFGP,
      O => AVRRXD1_T
    );
  NlwInverterBlock_M32TXD_CLK : X_INV_PP
    port map (
      I => UARTTX_IFF_ICLK1INVNOT,
      O => NlwInverterSignal_M32TXD_CLK
    );
  NlwBlock_dffd_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlock_dffd_VCC : X_ONE
    port map (
      O => VCC
    );
  NlwInverterBlock_M32RXD_1_CLK : X_INV_PP
    port map (
      I => M32RXD_OUTPUT_OTCLK1INVNOT,
      O => NlwInverterSignal_M32RXD_1_CLK
    );
  NlwInverterBlock_M32RXD_CLK : X_INV_PP
    port map (
      I => AVRRXD1_OUTPUT_OTCLK1INVNOT,
      O => NlwInverterSignal_M32RXD_CLK
    );
  NlwInverterBlock_M32TXD_1_CLK : X_INV_PP
    port map (
      I => AVRTXD1_OUTPUT_OTCLK1INVNOT,
      O => NlwInverterSignal_M32TXD_1_CLK
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end Structure;

